getTreeNames {xps} | R Documentation

## Get Tree Names

### Description

Get tree names stored in a ROOT file.

### Usage

    getTreeNames(rootfile, treetype = "*", setname = NULL, gettitle = FALSE)

### Arguments

`rootfile` | name of ROOT file, including full path.
`treetype` | tree type.
`setname` | name of ROOT subdirectory containing trees.
`gettitle` | If `TRUE` the titles of the trees will be returned.

### Details

Extracts the tree names of `treetype` stored in `ROOT` file `rootfile`.
Valid tree types are listed in `validTreetype`. For `treetype="*"` names for all trees in `rootfile` are returned.
If `setname` is provided, only tree names in subdirectory `setname` are returned.

### Value

A `vector` of tree names. For `gettitle=TRUE` a `vector` of tree titles.

### Author(s)

Christian Stratowa

### Examples

    getTreeNames(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))
    getTreeNames(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"), "scm")
    getTreeNames(paste(.path.package("xps"),"rootdata/DataTest3_cel.root",sep="/"))

[Package xps version 1.2.10 Index]